DEVELOPER

Gateway Business Reporting API Specification

Version 6.3.7

Transactions

This section includes functions to get information about transactions, as well as perform refunds or voids.

Get List Of Transations

get /accounts/{accountId}/transactions

List transactions by date range. Query parameters are optional.

Parameters
start
Type
string
Example
?start=2017-07-19 13:30:00

Loading...

end
Type
string
Example
?end=2017-07-21 23:59:59

Loading...

count
Type
integer
Example
2

Loading...

type
Type
string
Enum
openclosed
Example
open

Loading...

deviceId
Type
string

Loading...

bids
Type
string

Loading...

onlyLastClosed
Type
boolean

Loading...

Example Response
200 Authorized
401 Unauthorized

Refund or Void Transaction

post /accounts/{accountId}/transactions

This endpoint will void or refund a transaction. Transactions may be refunded if settlement has occurred or voided if settlement has not occurred. For any Sale or Preauth sent through the Payanywhere SDK, Payanywhere SDK will return the parameter “transactionUniqueId.” The “transactionUniqueId” has the format of “ccs_” followed by several numerical characters. For this request, you will need to parse the “transactionUniqueId” returned by the Payanywhere SDK, removing the “ccs_” portion of that string, and submit the remaining numerical value in the “transaction_id” field for Voids, or the “ccs_pk” field for Refunds.

For example, if the Payanywhere SDK returned “transactionUniqueId=ccs_87654321” then the “transaction_id” or “ccs_pk” for this request would equal “87654321”. Account ID is required to be inserted into this URL. Your Account ID will be returned from the Authentication request. Authorization is required for this endpoint. Use the JWT returned from the Authentication request.

For refunds, you can refund the full amount of the transaction or any amount less than the transaction amount. If you try and refund an amount greater than the transaction amount, a 400 error code will be returned with the message “Bad Request.”

Request Schema
type required
Type
string
Enum
voidrefund

Loading...

transaction_id required
Type
number
Example
87654321

Loading...

comment
Type
string
Example
Some comment

Loading...

username required
Type
string
Example
user@example.com

Loading...

transaction_source
Type
string
Example
PA-iOS-SDK|5.10.0-x86_64-12.2

Loading...

ccs_pk
Type
number
Example
87654321

Loading...

amount
Type
string
Example
2

Loading...

Example Request
{
  "type": "void",
  "transaction_id": 87654321,
  "comment": "some comment",
  "username": "user@example.com",
  "transaction_source": "PA-iOS-SDK|5.10.0-x86_64-12.2"
}
Example Response
201 Authorized
401 Unauthorized. New JWT needed
404 Transaction_id not found

Get Transaction by ID

get /accounts/{accountId}/transactions/{transactionId}

Get transaction by ID.

Parameters
accountId required
Type
string

Loading...

transactionId required
Type
string

Loading...

Example Response
200 Authorized
401 Unauthorized
©2026 North is a registered DBA of NorthAB, LLC. All rights reserved. North is a registered ISO of BMO Harris Bank N.A., Chicago, IL, Citizens Bank N.A., Providence, RI, The Bancorp Bank, Philadelphia, PA, FFB Bank, Fresno, CA, Wells Fargo Bank, N.A., Concord, CA, and PNC Bank, N.A.